<?php
  $sv=$q['narod']-$q['narod_abs'];
       echo "<div class='aut'>Действия</div>\n";
  if($sv!='0'){
    if(isset($_POST['submit'])){
      $colvo=abs(intval($_POST['colvo']));
      if($sv>=$colvo){
        mysql_query("UPDATE `empire` SET `narod_abs`=`narod_abs`+$colvo, `r_l`=`r_l`+$colvo WHERE `id_u`='".$user['id']."' LIMIT 1");
        msg('Вы успешно превели '.$colvo.' жителей в строителей');
        
        
      }
      else
      {
              msg('У вас нет столько жителей');
  
      }
    }
    else
    {
  echo "<div class='f2'><form method='post' action='?do=14&amp;$passgen'>
  Кол-во жителей(макс. $sv чел)<br/><input name='colvo' maxlength='5'/>
  <input type='submit' name='submit' value='Перевести'/>
  </form></div>\n";
  }
}
else
{
echo "<div class='err'>У вас нет свободных жителей</div>\n";
}
echo "<div class='aut'><a href='?do=0'>Назад</a></div>";
?>